## wxwindows2.4 2.4.2.4ubuntu1

=== debian/changelog ===
wxwindows2.4 (2.4.2.4ubuntu1) warty; urgency=low

  * missing Build-Depends: python, libtiff4-dev

 -- LaMont Jones <lamont@mmjgroup.com>  Thu,  5 Aug 2004 20:32:09 +0000

wxwindows2.4 (2.4.2.4) unstable; urgency=low

  * Modified build scripts to use pythonX.Y instead of python(>=X.Y)
  * Removed bogus hard coded python2.2-xml.  Closes: #216182
  * Enabled iostream support despite my opinion of this c++ 'feature'.
    Closes: #211050
  * Event handling for menus with bitmaps fixed.  Closes: #214788
  * Includes fixes for wxHTTP and wxURL parsing. Closes: #211023, #213600

 -- Ron Lee <ron@debian.org>  Sat, 25 Oct 2003 13:48:07 +0930

wxwindows2.4 (2.4.1.2) unstable; urgency=low

  * New stable release.  Closes: #198622
  * Ack python NMU changes, Thanks Josselin!
  * Hurd support added to configure.  Closes: #191581
  * Fixes ctrl-tab problem with pyslsk.  Closes: #187923
  * Fixed configure for autoconf 2.57-3.  Closes: #190755
  * Added conflict/replace for -doc.  Closes: #202242

 -- Ron Lee <ron@debian.org>  Fri, 22 Aug 2003 15:59:12 +0930

wxwindows2.4 (2.4.0.8-0.1) unstable; urgency=low

  * NMU for python transition.
  * Build-depend and depend on python 2.3 (closes: #204737).

 -- Josselin Mouette <joss@debian.org>  Wed, 13 Aug 2003 22:21:48 +0200

wxwindows2.4 (2.4.0.9) unstable; urgency=low

  * Updated package sections to suit the new taxonomy.
  * No public release of this version.

 -- Ron Lee <ron@debian.org>  Sat, 19 Apr 2003 20:13:39 -0700

wxwindows2.4 (2.4.0.8) unstable; urgency=low

  * The "I wish people would read the existing discussion about new releases
    before posting 'reminder' bugs" release.  Closes: #189144
  * Moved back to using png2.  gtk1 forces that on anything using it and
    gtk2 support is still too flakey both in wx and dependent apps for
    us to entertain it in a stable release.  This is a *really* messed
    up situation for anyone trying to maintain a development machine.
    Thank the png and gtk theme people if its a pain in your ass too.
    Closes: #186779
  * Add real package options to the gl build deps.  Closes: #182210
  * Really fix the XRCed problem, unlike 2.4.0.7 ; ) Closes: #183712

 -- Ron Lee <ron@debian.org>  Tue, 15 Apr 2003 18:42:54 -0700

wxwindows2.4 (2.4.0.3) unstable; urgency=low

  * Changed Conflict to Replaces so people can use 2.4 -dev before all
    their 2.3 deps are gone.  Closes: #178305
  * Added wxPy supplied 2.3 distutils to the source package, apparently the
    standard 2.2 one is now insufficient.  This hopefully Closes: #178457

 -- Ron Lee <ron@debian.org>  Mon, 27 Jan 2003 17:36:59 -0800

wxwindows2.4 (2.4.0.2) unstable; urgency=low

  * Added missing quantize.h to install.  Closes: #178135
  * Removed unnecessary -dev deps.
  * move wxwin.m4 &c out of the runtime package and conflict with earlier
    versions that didn't.  Also nuke some empty dir cruft that slipped by.
    Thanks for noticing the latter Josip.  Closes: #176033
  * dinstall won't close bugs from earlier unreleased versions :(
    see below for explanations.  Closes: #162948, #171258, #168148
    Closes: #170748, #168250, #164557, #172390, #172447, #168887
    Closes: #155476, #155478

 -- Ron Lee <ron@debian.org>  Thu, 16 Jan 2003 16:46:31 -0800

wxwindows2.4 (2.4.0) unstable; urgency=low

  * The fingers crossed release.
  * de.po typo fix.  Closes: #174084
  * tr.po stable tree patch.  Closes: #174667
  * Add a manpage for the wxPython scripts pointing to the pydoc docs.
  * Disabled generation of gtk-univ, it is a rather insensible combination
    now and should be replaced by x11-univ instead.
  * There had to be some payoff to all the delays -- a clean gcc3.2
    transition :-)  This package certainly obsoletes 2.3.3.2 and I'll
    be seeking to finally have 2.2.9.2 removed as well once Audacity
    is updated.

 -- Ron Lee <ron@debian.org>  Thu, 19 Dec 2002 00:50:48 -0800

wxwindows2.3 (2.3.4.1) unstable; urgency=low

  * 2.4.0pre1 I guess.
  * Added -ffunction-sections for broken hppa linker. Closes: #162948
  * Conflict/Replace wxPython2.2.  Since its nmu these two packages
    can no longer currently coexist.  Closes: #171258
  * xrced.py path search fixed.  Closes: #168148, #170748
  * Actually install all wxUniv headers to the header package.
    Closes: #168250, #164557
  * Robin tells me this one should be fixed in 2.3 too, I can't confirm
    so please reopen if it's not.  Closes: #172390
  * Added menu items for pycrust/pyshell, thanks Martin.  Closes: #172447
  * Broken header fixed.  Closes: #168887

 -- Ron Lee <ron@debian.org>  Mon, 18 Nov 2002 18:54:21 -0800

wxwindows2.3 (2.3.3.2) unstable; urgency=low

  * The one more for luck release.
  * Debian-wise, it fixes the problem with contrib lib name clashes;
    code-wise, lots of little issues (and a couple of big 'uns) from
    2.3.3 -- see the more regular change or cvs logs for details...
  * Yes, it's still the unstable branch, yes the request for testing
    to see if we can reasonably obsolete 2.2 in post-woody debian
    is still current, and yes we're still working toward a stable
    2.4 release as fast as we can.   Big thanks to everyone who's
    been patient and/or active fixing things.

 -- Ron Lee <ron@debian.org>  Thu, 26 Sep 2002 17:43:05 -0700

wxwindows2.3 (2.3.3.1) unstable; urgency=low

  * Ok, Robin says wxPython is good to go.
  * Since wx2.2 has crashed and burned with the new releases of
    python and png, Could package maintainers with packages that
    depend on wx please recompile with this package and let me
    know if they still need 2.2 in woody?   If not I'll have them
    removed.  There should be a 2.4 release following very soon.
    (hah, let's see how the date on that comment testifies!)
  * Yes, I know wxpython is missing man pages for some of its
    scripts.  File a bug if you must, but preferably, if you know
    what they do, attach a patch containing one.  I don't use them

