=== debian/control ===
Source: wxwindows2.4
Section: libs
Priority: optional
Build-Depends: debhelper (>=2.0), flex, bison, gettext, libgtk1.2-dev, python2.3, python2.3-dev, zlib1g-dev, libjpeg62-dev, libpng2-dev, libtiff4-dev, xlibmesa-gl-dev | libgl-dev, xlibmesa-glu-dev | libglu-dev, libesd0-dev, python
Maintainer: Ron Lee <ron@debian.org>
Standards-Version: 3.6.1.0

Package: libwxbase2.4
Architecture: any
Section: libs
Depends: ${shlibs:Depends}
Description: wxBase library (runtime) - non-GUI support classes of wxWindows toolkit
 wxBase is a collection of C++ classes providing basic data structures
 (strings, lists, arrays), powerful wxDateTime class for date manipulations,
 portable wrappers around many OS-specific functions allowing to build the
 same program under all supported folders, wxThread class for writing
 multithreaded programs using either Win32 or POSIX threads and much more.
 wxBase currently supports the following platforms: Generic Unix (Linux,
 FreeBSD, Solaris, HP-UX, ...), win32, and BeOS.
 .
 This package is only useful for non-GUI apps.  It offers a subset of the
 classes in libwx_gtk2.4 for use in console apps and daemons.  You do not need
 this package to build or use wxWindows GUI apps.

Package: libwxbase2.4-dev
Architecture: any
Section: libdevel
Depends: wxwin2.4-headers (= ${Source-Version}), libwxbase2.4 (= ${Source-Version}), libc6-dev
Suggests: wxwin2.4-doc, gettext
Conflicts: libwxbase-dev
Replaces: libwxbase-dev
Provides: libwxbase-dev
Description: wxBase library (development) - non-GUI support classes of wxWindows toolkit
 wxBase is a collection of C++ classes providing basic data structures
 (strings, lists, arrays), powerful wxDateTime class for date manipulations,
 portable wrappers around many OS-specific functions allowing to build the
 same program under all supported folders, wxThread class for writing
 multithreaded programs using either Win32 or POSIX threads and much more.
 wxBase currently supports the following platforms: Generic Unix (Linux,
 FreeBSD, Solaris, HP-UX, ...), win32, and BeOS.
 .
 This package provides the files needed to compile apps using the wxBase
 library.

Package: libwxbase2.4-dbg
Architecture: any
Section: libdevel
Priority: extra
Depends: wxwin2.4-headers (= ${Source-Version}), libc6-dev
Conflicts: libwxbase-dbg
Replaces: libwxbase-dbg
Provides: libwxbase-dbg
Description: wxBase library (debug) - non-GUI support classes of wxWindows toolkit
 wxBase is a collection of C++ classes providing basic data structures
 (strings, lists, arrays), powerful wxDateTime class for date manipulations,
 portable wrappers around many OS-specific functions allowing to build the
 same program under all supported folders, wxThread class for writing
 multithreaded programs using either Win32 or POSIX threads and much more.
 wxBase currently supports the following platforms: Generic Unix (Linux,
 FreeBSD, Solaris, HP-UX, ...) win32, and BeOS.
 .
 This package provides a debug version of the wxBase library.  It is compiled
 both with -g for normal debugger tracing and with the __WXDEBUG__ flag which
 provides many internal checks by wxWindows itself that are not performed on
 apps compiled with the 'release version' libs in the -dev package.

Package: libwxgtk2.4
Architecture: any
Section: libs
Depends: ${shlibs:Depends}
Suggests: libgl1
Replaces: wxgtk2.1
Description: wxWindows Cross-platform C++ GUI toolkit (GTK+ runtime)
 wxWindows is a class library for C++ providing GUI (Graphical User
 Interface) and other facilities on more than one platform.  Version 2.4
 currently supports subsets of GTK+, Motif, and MS Windows.
 .
 This package provides the shared libraries needed to run programs linked
 against wxWindows.  To use the (optional) glcanvas library you will need
 to have Mesa or OpenGL installed.

Package: libwxgtk2.4-dev
Architecture: any
Section: libdevel
Depends: wxwin2.4-headers (= ${Source-Version}), libwxgtk2.4 (= ${Source-Version}), libc6-dev
Suggests: wxwin2.4-doc, libstdc++-dev, gettext, libgl-dev
Conflicts: libwxgtk-dev
Replaces: libwxgtk-dev, wxgtk2.1-dev
Provides: libwxgtk-dev
Description: wxWindows Cross-platform C++ GUI toolkit (GTK+ development)
 wxWindows is a class library for C++ providing GUI (Graphical User
 Interface) and other facilities on more than one platform.  Version 2.4
 currently supports subsets of GTK+, Motif, and MS Windows.
 .
 This package provides files needed to compile wxWindows programs.  If you
 want to compile apps using the (optional) glcanvas library you will need
 to have Mesa or OpenGL installed too.

Package: libwxgtk2.4-dbg
Architecture: any
Section: libdevel
Priority: extra
Depends: wxwin2.4-headers (= ${Source-Version}), libc6-dev
Conflicts: libwxgtk-dbg
Replaces: libwxgtk-dbg
Provides: libwxgtk-dbg
Description: wxWindows Cross-platform C++ GUI toolkit (GTK+ development)
 wxWindows is a class library for C++ providing GUI (Graphical User
 Interface) and other facilities on more than one platform.  Version 2.4
 currently supports subsets of GTK+, Motif, and MS Windows.
 .
 This package provides a debug version of the wxGtk library.  It is compiled
 both with -g for normal debugger tracing and with the __WXDEBUG__ flag which
 provides many internal checks by wxWindows itself that are not performed on
 apps compiled with the 'release version' libs in the -dev package.

Package: libwxgtk2.4-python
Architecture: any
Section: python
Depends: python2.3, ${shlibs:Depends}
Suggests: wxwin2.4-doc, wxwin2.4-examples, python2.3-xml
Conflicts: libwxgtk-python, python-wxwin, libwxgtk2.2-python-contrib, libwxgtk2.2-python, libwxgtk2.3-python
Replaces: libwxgtk-python, python-wxwin, libwxgtk2.2-python-contrib, libwxgtk2.2-python, libwxgtk2.3-python
Provides: libwxgtk-python
Description: wxWindows Cross-platform C++ GUI toolkit (wxPython binding)
 wxWindows is a class library for C++ providing GUI (Graphical User
 Interface) and other facilities on more than one platform.  Version 2.4
 currently supports subsets of GTK+, Motif, and MS Windows.
 .
 This package provides a Python binding to the wxGTK library and it's
 contrib libs.  If you wish to use xrced you'll also need the python-xml
 package installed.

Package: libwxgtk2.4-contrib
Architecture: any
Section: libs
Depends: libwxgtk2.4 (= ${Source-Version}), ${shlibs:Depends}
Description: wxWindows Cross-platform C++ GUI toolkit (runtime contrib libs)
 wxWindows is a class library for C++ providing GUI (Graphical User
 Interface) and other facilities on more than one platform.  Version 2.4
 currently supports subsets of GTK+, Motif, and MS Windows.
 .
 This package provides the contrib libs from the wxWindows source tree

Package: libwxgtk2.4-contrib-dev
Architecture: any
Section: libdevel
Depends: wxwin2.4-headers (= ${Source-Version}), libwxgtk2.4-dev (= ${Source-Version}), libwxgtk2.4-contrib (= ${Source-Version}), libc6-dev
Conflicts: libwxgtk-contrib-dev
Replaces: libwxgtk-contrib-dev
Provides: libwxgtk-contrib-dev
Description: wxWindows Cross-platform C++ GUI toolkit (development contrib libs)
 wxWindows is a class library for C++ providing GUI (Graphical User
 Interface) and other facilities on more than one platform.  Version 2.4
 currently supports subsets of GTK+, Motif, and MS Windows.
 .
 Install this package if you wish to compile applications that use the
 contrib libs from the wxWindows source tree.

Package: wxwin2.4-headers
Architecture: any
Section: devel
Conflicts: wxwin-headers
Replaces: wxwin-headers, wxgtk2.1-dev, libwxgtk2.3
Provides: wxwin-headers
Description: wxWindows Cross-platform C++ GUI toolkit (header files)
 wxWindows is a class library for C++ providing GUI (Graphical User
 Interface) and other facilities on more than one platform.  Version 2.4
 currently supports subsets of GTK+, Motif, and MS Windows.
 .
 This package provides the common header files required to build applications
 using the wxWindows toolkit.

Package: wxwin2.4-i18n
Architecture: all
Section: libs
Conflicts: wxwin-i18n
Replaces: wxwin-i18n
Provides: wxwin-i18n
Description: wxWindows Cross-platform C++ GUI toolkit (i18n support)
 wxWindows is a class library for C++ providing GUI (Graphical User
 Interface) and other facilities on more than one platform.  Version 2.4
 currently supports subsets of GTK+, Motif, and MS Windows.
 .
 This package provides the i18n message catalogs for wxWindows.

Package: wxwin2.4-doc
Architecture: all
Section: doc
Conflicts: wxwin2.2-doc, wxwin-doc
Replaces: wxwin-doc
Provides: wxwin-doc
Suggests: doc-base, www-browser
Description: wxWindows Cross-platform C++ GUI toolkit (documentation)
 wxWindows is a class library for C++ providing GUI (Graphical User
 Interface) and other facilities on more than one platform.  Version 2.4
 currently supports subsets of GTK+, Motif, and MS Windows.
 .
 This package provides a HTML version of the wxWindows reference manual.

Package: wxwin2.4-examples
Architecture: all
Section: devel
Suggests: libwxgtk2.4-dev (= ${Source-Version}), wxwin2.4-doc
Description: wxWindows Cross-platform C++ GUI toolkit (examples)
 wxWindows is a class library for C++ providing GUI (Graphical User
 Interface) and other facilities on more than one platform.  Version 2.4
 currently supports subsets of GTK+, Motif, and MS Windows.
 .
 This package contains examples of using the wxWindows toolkit in
 C++ and with the wxPython language binding.

Package: libwxgtk2.4-univ
Architecture: any
Section: libs
Depends: wxwin2.4-headers (= ${Source-Version}), libwxgtk2.4 (= ${Source-Version}), libc6-dev, ${shlibs:Depends}
Suggests: wxwin2.4-doc, libstdc++-dev, gettext, libgl-dev
Description: wxWindows Cross-platform C++ GUI toolkit (wxUNIVERSAL widgets)
 wxWindows is a class library for C++ providing GUI (Graphical User
 Interface) and other facilities on more than one platform.  Version 2.4
 currently supports subsets of GTK+, Motif, and MS Windows.
 .
 This package is built to use the wxUNIVERSAL widget set instead of
 native gtk widgets.

Package: libwxbase-msw2.4-dev
Architecture: i386
Section: otherosfs
Depends: wxwin2.4-headers-msw (= ${Source-Version})
Conflicts: libwxbase-msw-dev
Replaces: libwxbase-msw-dev
Provides: libwxbase-msw-dev
Description: wxBase mingw32msvc-cross
 mingw32msvc-cross wxBase libs.

Package: libwxbase-msw2.4-dbg
Architecture: i386
Section: otherosfs
Depends: wxwin2.4-headers-msw (= ${Source-Version})
Conflicts: libwxbase-msw-dbg
Replaces: libwxbase-msw-dbg
Provides: libwxbase-msw-dbg
Description: wxBase mingw32msvc-cross (debug)
 mingw32msvc-cross wxBase libs.
 __WXDEBUG__ version.

Package: libwxmsw2.4-dev
Architecture: i386
Section: otherosfs
Depends: wxwin2.4-headers-msw (= ${Source-Version})
Conflicts: libwxmsw-dev
Replaces: libwxmsw-dev
Provides: libwxmsw-dev
Description: wxMSW mingw32msvc-cross
 mingw32msvc-cross wxMSW libs.

Package: libwxmsw2.4-dbg
Architecture: i386
Section: otherosfs
Depends: wxwin2.4-headers-msw (= ${Source-Version})
Conflicts: libwxmsw-dbg
Replaces: libwxmsw-dbg
Provides: libwxmsw-dbg
Description: wxMSW mingw32msvc-cross (debug)
 mingw32msvc-cross wxMSW libs.
 __WXDEBUG__ version.

Package: wxwin2.4-headers-msw
Architecture: i386
Section: otherosfs
Depends: wxwin2.4-headers (= ${Source-Version})
Conflicts: wxwin-headers-msw
Replaces: wxwin-headers-msw
Provides: wxwin-headers-msw
Description: Extra wxWindows headers for mingw32msvc-cross
 Headers required by the wxWindows mingw32msvc-cross libraries.
