=== debian/rules ===
#!/usr/bin/make -f
# debian/rules file to build packages from wxWindows CVS source
#
# Sculpted 13/2/2000 by Ron Lee <ron@debian.org> from new and
# variously stolen code :-)
# It makes copious use of the debhelper utilities written by
# Joey Hess and others.

#export DH_VERBOSE=1
export DH_COMPAT=2
export DH_OPTIONS

release:=$(shell dpkg-parsechangelog | sed -n 's/^Source: wxwindows//p')
python_ver:=python$(shell python -c "import sys;print sys.version[:3]")

cross_host=i586-mingw32msvc
cross_build=$(shell ./config.guess)

config_cache=../config_deb.cache
config_cache_cross=../config_deb_cross.cache

# Packages to build:
package_wxbase_lib=libwxbase$(release)
package_wxbase_dev=libwxbase$(release)-dev
package_wxbase_dbg=libwxbase$(release)-dbg
package_gtk_lib=libwxgtk$(release)
package_gtk_dev=libwxgtk$(release)-dev
package_gtk_dbg=libwxgtk$(release)-dbg
package_gtk_py=libwxgtk$(release)-python
package_gtk_contrib=libwxgtk$(release)-contrib
package_gtk_contrib_dev=libwxgtk$(release)-contrib-dev
package_headers=wxwin$(release)-headers
package_i18n=wxwin$(release)-i18n
package_doc=wxwin$(release)-doc
package_examples=wxwin$(release)-examples

package_gtk_univ=libwxgtk$(release)-univ

package_wxbase_msw_dev=libwxbase-msw$(release)-dev
package_wxbase_msw_dbg=libwxbase-msw$(release)-dbg
package_msw_dev=libwxmsw$(release)-dev
package_msw_dbg=libwxmsw$(release)-dbg
package_headers_msw=wxwin$(release)-headers-msw

# Build directories:
objdir_wxbase_shared=objs_wxbase_sh
objdir_wxbase_static=objs_wxbase_st
objdir_wxbase_debug=objs_wxbase_d
objdir_gtk_shared=objs_gtk_sh
objdir_gtk_static=objs_gtk_st
objdir_gtk_debug=objs_gtk_d
objdir_gtk_install=objs_gtk_install
objdir_gtk_contrib_install=objs_gtk_contrib_install
objdir_doc_cruft=objs_doc_con
objdir_doc=docs/wxWindows-manual.html
objdir_examples=docs/examples
objdir_i18n=locale

objdir_gtk_univ=objs_gtk_univ
objdir_univ_install=objs_univ_install

objdir_wxbase_msw_shared=objs_wxbase_msw_sh
objdir_wxbase_msw_static=objs_wxbase_msw_st
objdir_wxbase_msw_dbg=objs_wxbase_msw_d
objdir_msw_shared=objs_msw_sh
objdir_msw_static=objs_msw_st
objdir_msw_dbg=objs_msw_d

objdirs=$(objdir_wxbase_shared) $(objdir_wxbase_static) $(objdir_wxbase_debug) \
	$(objdir_gtk_shared) $(objdir_gtk_static) $(objdir_gtk_debug)          \
	$(objdir_gtk_install) $(objdir_gtk_contrib_install) $(objdir_gtk_univ) \
	$(objdir_univ_install) $(objdir_doc_cruft) $(objdir_doc)               \
	$(objdir_examples)                                                     \
	$(objdir_wxbase_msw_shared) $(objdir_wxbase_msw_static)                \
	$(objdir_wxbase_msw_dbg) $(objdir_msw_shared) $(objdir_msw_static)     \
	$(objdir_msw_dbg)

#	note that the i18n package is actually arch indep (once built)
#	but must be built (and installed) during the arch any phase as
#	it's pulled out of the wxGtk shared lib package.

# Build stamps:
build_arch_stamps=build-wxbase-shared-stamp build-wxbase-static-stamp \
                  build-wxbase-debug-stamp build-gtk-shared-stamp \
                  build-gtk-static-stamp build-gtk-debug-stamp \
                  build-contrib-shared-stamp build-contrib-static-stamp \
                  build-gtk-py-stamp build-i18n-stamp

# disable gtk-univ build, we'll  replace it with x11-univ later.
#		  build-gtk-univ-stamp

build_indep_stamps=build-examples-stamp build-doc-stamp

build_cross_stamps=build-wxbase-msw-shared-stamp build-wxbase-msw-static-stamp \
		   build-wxbase-msw-dbg-stamp build-msw-shared-stamp \
		   build-msw-static-stamp build-msw-dbg-stamp

build_stamps_native=$(build_arch_stamps) $(build_indep_stamps)

build_stamps=$(build_stamps_native) $(build_cross_stamps)

# Install targets:
install_all_arch=install-wxbase-lib install-wxbase-dev install-wxbase-dbg \
                 install-gtk-lib install-gtk-dev install-gtk-dbg \
                 install-gtk-contrib install-gtk-contrib-dev install-gtk-py \
                 install-headers install-i18n

# disable gtk-univ build, we'll  replace it with x11-univ later.
#                install-gtk-univ

install_all_indep=install-examples install-doc

install_all_cross=install-wxbase-msw-dev install-wxbase-msw-dbg install-msw-dev install-msw-dbg install-headers-msw

install_all_native=$(install_all_arch) $(install_all_indep)

install_all=$(install_all_native) $(install_all_cross)


wxconfig:=$(shell pwd)/$(objdir_gtk_shared)/wx-config \
                --prefix=$(shell pwd) \
                --exec-prefix=$(shell pwd)/$(objdir_gtk_shared)


# The Rules:

debian/control: debian/control.in
	sed -e 's/=V/$(release)/g;s/=PY/$(python_ver)/g' < debian/control.in > debian/control

control-files-stamp: debian/control
	dh_testdir
	@for f in dirs postinst; do \
		echo "generating control file $(package_wxbase_lib).$$f"; \
		cp debian/libwxbase.$$f debian/$(package_wxbase_lib).$$f; \
	done;
	@for f in dirs links postinst prerm; do \
		echo "generating control file $(package_wxbase_dev).$$f"; \
		sed -e 's/=V/$(release)/g' < debian/libwxbase-dev.$$f \
			> debian/$(package_wxbase_dev).$$f; \
	done;
	@for f in dirs links postinst prerm; do \
		echo "generating control file $(package_wxbase_dbg).$$f"; \
		sed -e 's/=V/$(release)/g' < debian/libwxbase-dbg.$$f \
			> debian/$(package_wxbase_dbg).$$f; \
	done;
	@for f in dirs postinst; do \
		echo "generating control file $(package_gtk_lib).$$f"; \
		cp debian/libwxgtk.$$f debian/$(package_gtk_lib).$$f; \
	done;
	@for f in dirs links postinst prerm; do \
		echo "generating control file $(package_gtk_dev).$$f"; \
		sed -e 's/=V/$(release)/g' < debian/libwxgtk-dev.$$f \
			> debian/$(package_gtk_dev).$$f; \
	done;
	@for f in dirs links postinst prerm; do \
		echo "generating control file $(package_gtk_dbg).$$f"; \
		sed -e 's/=V/$(release)/g' < debian/libwxgtk-dbg.$$f \
			> debian/$(package_gtk_dbg).$$f; \
	done;
	@for f in dirs docs menu postinst prerm; do \
		echo "generating control file $(package_gtk_py).$$f"; \
		sed -e 's/=PY/$(python_ver)/g;s/=V/$(release)/g' < debian/libwxgtk-python.$$f \
			> debian/$(package_gtk_py).$$f; \
	done;
	@for f in dirs postinst; do \
		echo "generating control file $(package_gtk_contrib).$$f"; \
		cp debian/libwxgtk-contrib.$$f debian/$(package_gtk_contrib).$$f; \
	done;
	@for f in dirs; do \
		echo "generating control file $(package_gtk_contrib_dev).$$f"; \
		cp debian/libwxgtk-contrib-dev.$$f debian/$(package_gtk_contrib_dev).$$f; \
	done;
	@for f in dirs; do \
		echo "generating control file $(package_headers).$$f"; \
		cp debian/wxwin-headers.$$f debian/$(package_headers).$$f; \
	done;
	@for f in dirs; do \
		echo "generating control file $(package_i18n).$$f"; \
		cp debian/wxwin-i18n.$$f debian/$(package_i18n).$$f; \
	done;
	@for f in dirs docs doc-base; do \
		echo "generating control file $(package_doc).$$f"; \
		sed -e 's/=V/$(release)/g' < debian/wxwin-doc.$$f \
			> debian/$(package_doc).$$f; \
	done;
	@for f in examples; do \
		echo "generating control file $(package_examples).$$f"; \
		cp debian/wxwin-examples.$$f debian/$(package_examples).$$f; \
	done;
	@for f in dirs links postinst prerm; do \
		echo "generating control file $(package_wxbase_msw_dev).$$f"; \
		sed -e 's/=V/$(release)/g;s/=H/$(cross_host)/g' < debian/libwxbase-msw-dev.$$f \
			> debian/$(package_wxbase_msw_dev).$$f; \
	done;
	@for f in dirs links postinst prerm; do \
		echo "generating control file $(package_wxbase_msw_dbg).$$f"; \
		sed -e 's/=V/$(release)/g;s/=H/$(cross_host)/g' < debian/libwxbase-msw-dbg.$$f \
			> debian/$(package_wxbase_msw_dbg).$$f; \
	done;
	@for f in dirs links postinst prerm; do \
		echo "generating control file $(package_msw_dev).$$f"; \
		sed -e 's/=V/$(release)/g;s/=H/$(cross_host)/g' < debian/libwxmsw-dev.$$f \
			> debian/$(package_msw_dev).$$f; \
	done;
	@for f in dirs links postinst prerm; do \
		echo "generating control file $(package_msw_dbg).$$f"; \
		sed -e 's/=V/$(release)/g;s/=H/$(cross_host)/g' < debian/libwxmsw-dbg.$$f \
			> debian/$(package_msw_dbg).$$f; \
	done;
